BeagleWksSSParserInternal::Chart Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
BeagleWksSSParserInternal::Chart Struct Reference

Internal: the chart of a BeagleWksSSParser. More...

Inheritance diagram for BeagleWksSSParserInternal::Chart:

## Public Member Functions
| Chart (std::string const &name, BeagleWksSSParser &parser)
| constructor More...
void | sendContent (TextZone const &zone, MWAWListenerPtr &listener)
| send a zone content More...
Public Member Functions inherited from MWAWChart
| MWAWChart (std::string const &sheetName, MWAWFontConverterPtr fontConverter, MWAWVec2f const &dim=MWAWVec2f())
| the constructor More...
virtual | ~MWAWChart ()
| the destructor More...
void | sendChart (MWAWSpreadsheetListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface)
| send the chart to the listener More...
void | setDataType (Series::Type type, bool dataStacked)
| sets the chart type More...
MWAWVec2f const & | getDimension () const
| return the chart dimension More...
void | setDimension (MWAWVec2f const &dim)
| return the chart dimension More...
void | add (int coord, Axis const &axis)
| adds an axis (corresponding to a coord) More...
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord) More...
void | set (Legend const &legend)
| set the legend More...
Legend const & | getLegend () const
| return the legend More...
void | add (Series const &series)
| adds a series More...
std::vector< Series > const & | getSeries () const
| return the list of series More...
void | add (TextZone const &textZone)
| adds a textzone More...
bool | getTextZone (TextZone::Type type, TextZone &textZone)
| returns a textzone content(if set) More...

## Public Attributes
BeagleWksSSParser * | m_parser
| the main parser More...
MWAWInputStreamPtr | m_input
| the input More...

## Private Member Functions
| Chart (Chart const &orig)
Chart | operator= (Chart const &orig)

## Additional Inherited Members
Protected Member Functions inherited from MWAWChart
void | sendTextZoneContent (TextZone::Type type, MWAWListenerPtr &listener)
| sends a textzone content More...
Protected Attributes inherited from MWAWChart
std::string | m_sheetName
| the sheet name More...
MWAWVec2f | m_dim
| the chart dimension in point More...
Series::Type | m_type
| the chart type (if no series) More...
bool | m_dataStacked
| a flag to know if the data are stacked or not More...
Axis | m_axis [4]
| the x,y,z and a bad axis More...
Legend | m_legend
| the legend More...
std::vector< Series > | m_seriesList
| the list of series More...
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone More...
MWAWFontConverterPtr | m_fontConverter
| the font converter More...

## Detailed Description

Internal: the chart of a BeagleWksSSParser.

## Constructor & Destructor Documentation

## ◆ Chart() [1/2]

BeagleWksSSParserInternal::Chart::Chart | ( | std::string const & | name,
|  | BeagleWksSSParser & | parser
| ) |  |
| inline

constructor

## ◆ Chart() [2/2]

BeagleWksSSParserInternal::Chart::Chart | ( | Chart const & | orig | ) |
| private

## Member Function Documentation

## ◆ operator=()

Chart BeagleWksSSParserInternal::Chart::operator= | ( | Chart const & | orig | ) |
| private

## ◆ sendContent()

void BeagleWksSSParserInternal::Chart::sendContent | ( | Chart::TextZone const & | zone,
|  | MWAWListenerPtr & | listener
| ) |  |
| virtual

send a zone content

Implements MWAWChart.

## Member Data Documentation

## ◆ m_input

MWAWInputStreamPtr BeagleWksSSParserInternal::Chart::m_input

the input

## ◆ m_parser

BeagleWksSSParser* BeagleWksSSParserInternal::Chart::m_parser

the main parser

The documentation for this struct was generated from the following file:

- BeagleWksSSParser.cxx